%define	upstream_name	 Mail-RBL
%define	upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Perl extension to access RBL-style host verification services
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(NetAddr::IP)
BuildRequires:  perl(Net::DNS)
Buildarch:	noarch


%description
This module eases the task of checking if a given host is in the list. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

# some RBL can't be queries from build host
export SKIP_RBL_TESTS=1
%{__make} test

%install
%makeinstall_std

%files 
%doc README
%{perl_vendorlib}/Mail
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.100.0-8pclos2017
- rebuild against updates

